memento mori

めもとメモとmemorization、たまにmemoir

rbenv(ruby-build)が動かなくなった

久しぶりにrbenv動かしたら、ruby-build周りでエラーが出た。

Downloading ruby-2.4.0.tar.bz2...
-> https://cache.ruby-lang.org/pub/ruby/2.4/ruby-2.4.0.tar.bz2
Installing ruby-2.4.0...

WARNING: ruby-2.4.0 is past its end of life and is now unsupported.
It no longer receives bug fixes or critical security updates.

ruby-build: using readline from homebrew

BUILD FAILED (OS X 10.15.5 using ruby-build 20200520)

Inspect or clean up the working tree at /var/folders/y1/pbxyk9sd25s5_jrh1tcjjhx80000gn/T/ruby-build.20200626180514.11723.7zoWSp
Results logged to /var/folders/y1/pbxyk9sd25s5_jrh1tcjjhx80000gn/T/ruby-build.20200626180514.11723.log

調べてみると、ruby-buildがおかしいのはopen-sslbinutilの問題があるみたい。

解決法

とりあえずbrew uninstall binutilして、homebrewでいれたopen-sslを使うように変更したらインストールできた。。。

blog.manabusakai.com